//#include<cstdio>
//#include<iostream>
//using namespace std;

#include<stdio.h>

unsigned long conv, comm;
int n, m, k, l, i, j, a, time;

int main()
{
	freopen("B.in", "r", stdin);
	freopen("B.out", "w", stdout);
	conv=0;
	comm=0;
	scanf("%d%d%d",&n,&m,&k);
	scanf("%d",&l);
	for(i=0;i<l;i++){
		scanf("%d",&a);
		comm|=1<<(a-1);
		}
	time = 0;
	for(i=0;i<n;i++){
		while(comm & conv){
			conv >>= 1;
			time++;
			}
		conv|=comm;
		}
	printf("%d\n",time+k);
	
	
	return 0;
}